﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class ChatUserDto
    {
        public string UserId { get; set; }
        public string UserName { get; set; }
        public string ConnectionId { get; set; } //signalrId
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FavoriteName { get; set; }
        public string PhoneNumber { get; set; }
        public string Email { get; set; }
        public bool IsOnline { get; set; }
        public string? ProfileImage { get; set; }
        public ChatUserDto(string someId, string someName, string someConnId)
        {
            UserId = someId;
            UserName = someName;
            ConnectionId = someConnId;
        }

        public ChatUserDto(string someId, string userName, string ConnId, string email, bool isOnline, string profileImg)
        {
            UserId = someId;
            UserName = userName;
            ConnectionId = ConnId;
            Email = email;
            IsOnline = isOnline;
            ProfileImage = profileImg;
        }
    }
}
